Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceDeviceTypeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<VoiceDeviceType>
ru.bitel.common.dao.AbstractIdDao<VoiceDeviceType>
ru.bitel.common.dao.AbstractDirectoryIdDao<VoiceDeviceType>
ru.bitel.oss.systems.inventory.resource.server.bean.DeviceTypeDao<VoiceDeviceType>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceDeviceTypeDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<VoiceDeviceType>`

public class VoiceDeviceTypeDao extends DeviceTypeDao<VoiceDeviceType>
Даошка для работы с типами устройств на уровне БД. Является частью справочника типов устройств.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceDeviceTypeDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected VoiceDeviceType`
  `getFromRS(ResultSet rs)`
  `protected VoiceDeviceType`
  `newDeviceType()`
  `protected void`
  `updateImpl(VoiceDeviceType voiceDeviceType)`

  ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.server.bean.DeviceTypeDao

  `activateConfig, get, list`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, opt, update`

- ## Constructor Details

  - ### VoiceDeviceTypeDao

    public VoiceDeviceTypeDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected VoiceDeviceType getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceDeviceType>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(VoiceDeviceType voiceDeviceType) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceDeviceType>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### newDeviceType

    protected VoiceDeviceType newDeviceType()
    Specified by:
      `newDeviceType` in class `DeviceTypeDao<VoiceDeviceType>`